LineItems
Patch line item
This method patches an existing line item. You can leave some properties empty in the request body, they won’t be modified.
PATCH
/
v3
/
deals
/
{dealId}
/
line-items
/
{id}
Patch line item
curl --request PATCH \
--url https://api.example.com/v3/deals/{dealId}/line-items/{id} \
--header 'Content-Type: application/json-patch+json' \
--data '
{
"productId": 123,
"partnerId": 123,
"quantity": 123,
"unitPrice": 123,
"suggestedPrice": 123
}
'import requests
url = "https://api.example.com/v3/deals/{dealId}/line-items/{id}"
payload = {
"productId": 123,
"partnerId": 123,
"quantity": 123,
"unitPrice": 123,
"suggestedPrice": 123
}
headers = {"Content-Type": "application/json-patch+json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json-patch+json'},
body: JSON.stringify({
productId: 123,
partnerId: 123,
quantity: 123,
unitPrice: 123,
suggestedPrice: 123
})
};
fetch('https://api.example.com/v3/deals/{dealId}/line-items/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"productId": 123,
"dealId": 123,
"unitPrice": {
"value": 123,
"currency": "<string>"
},
"price": {
"value": 123,
"currency": "<string>"
},
"suggestedPrice": {
"value": 123,
"currency": "<string>"
},
"quantity": 123,
"properties": {},
"creationDate": "2023-11-07T05:31:56Z"
}Path Parameters
The ID of the deal containing the line item.
The ID of the line item to delete.
Body
application/json-patch+jsonapplication/jsontext/jsonapplication/*+json
Optional. Sets the quantity of product for this line item.
Optional. Overrides or defines the price per unit in the deal's currency.
Optional. Overrides or defines the suggested end-customer price in the deal's currency.
Response
Line item updated
Patch line item
